#version 330

layout( location = 0 ) in vec2 InVertex;

out vec2 TexCoord;

uniform sampler2D TexSampler;

void main()
{
	gl_Position = vec4( vec3( InVertex, 0.0 ), 1.0 );
	TexCoord = ( InVertex + 1.0 ) / 2.0;
}